// store/userPage.js
import { getUserPage } from '@/api/system/organization';
const state = {
  userList: [] // 用户列表数据
};

const mutations = {
  setUserList(state, userList) {
    state.userList = userList;
  }
};

const actions = {
  async fetchUserPage({ commit }, id) {
    try {
      // 调用接口请求的方法
      const res = await getUserPage({
        pageNum: 1,
        size: -1,
        executeGroupId: id ? id : ''
      });

      // 在请求成功时，提交 mutation 将用户列表数据存储到 state
      commit('setUserList', res.list);
    } catch (error) {
      console.error('获取用户列表失败:', error);
    }
  }
};

export default {
  namespaced: true,
  state,
  mutations,
  actions
};
